/**
 * Copyright 2008-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.pool.impl.enhanced.impl.listener;

import org.ow2.util.pool.impl.enhanced.api.IWaitControl;
import org.ow2.util.pool.impl.enhanced.api.listener.IPoolListener;

/**
 *
 * @author Gael Lalire
 * @param <T>
 */
public class PoolListenerAdapter<T> implements IPoolListener<T> {

    public void getMethodCalled(final IWaitControl timeout) {
    }

    public void getMethodFailed(final Exception e, final IWaitControl timeout) {
    }

    public void getMethodReturned(final T result, final IWaitControl timeout) {
    }

    public void putMethodCalled(final T poolItem) {
    }

    public void putMethodFailed(final Exception e, final T poolItem) {
    }

    public void putMethodReturned(final T poolItem) {
    }

    public void removeMethodCalled(final T poolItem) {
    }

    public void removeMethodFailed(final Exception e, final T poolItem) {
    }

    public void removeMethodReturned(final T poolItem) {
    }

    public void signalAllWaitersMethodCalled() {
    }

    public void signalAllWaitersMethodFailed(final Exception e) {
    }

    public void signalAllWaitersMethodReturned() {
    }

}
