/**
 * Copyright 2008-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.pool.impl.enhanced.impl.listener.statistics;

/**
 *
 * @author Gael Lalire
 */
public class ExtendedPoolStats extends BasicPoolStats {

    private long getMethodCount;

    private double getMethodDurationAverage;

    /**
     * @return the getMethodCount
     */
    public long getGetMethodCount() {
        return getMethodCount;
    }

    /**
     * @param getMethodCount the getMethodCount to set
     */
    public void setGetMethodCount(final long getMethodCount) {
        this.getMethodCount = getMethodCount;
    }

    /**
     * @return the getMethodDurationAverage
     */
    public double getGetMethodDurationAverage() {
        return getMethodDurationAverage;
    }

    /**
     * @param getMethodDurationAverage the getMethodDurationAverage to set
     */
    public void setGetMethodDurationAverage(final double getMethodDurationAverage) {
        this.getMethodDurationAverage = getMethodDurationAverage;
    }

}
