/**
 * Copyright 2008-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.pool.impl.enhanced.manager.optional;

import org.ow2.util.pool.impl.enhanced.api.validator.IPoolValidator;
import org.ow2.util.pool.impl.enhanced.manager.IPoolManager;

/**
 * If you implements this interface then each pool item can be validated.
 * @author Gael Lalire
 * @param <E> pool item type
 */
public interface IValidatorPoolManager<E> extends IPoolManager<E>, IPoolValidator<E> {

}
